import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { UserOrderByWithRelationInputObjectSchema as UserOrderByWithRelationInputObjectSchema } from './UserOrderByWithRelationInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  data: SortOrderSchema.optional(),
  user: z.lazy(() => UserOrderByWithRelationInputObjectSchema).optional()
}).strict();
export const OfficeHoursOrderByWithRelationInputObjectSchema: z.ZodType<Prisma.OfficeHoursOrderByWithRelationInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeHoursOrderByWithRelationInput>;
export const OfficeHoursOrderByWithRelationInputObjectZodSchema = makeSchema();
